com.interactivemesh.jfx.importer.col

## Class ColAsset

- java.lang.Object
- - com.interactivemesh.jfx.importer.col.ColAsset

-     public final class ColAsset
      extends java.lang.Object

  A ColAsset object provides the attributes of the asset child element and the version number of the COLLADA root element.
  See Also:
    `ColModelImporter.getAsset()`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ColAsset.Contributor` A Contributor object provides authoring information.
    `static class` | `ColAsset.GeographicLocation` A GeographicLocation object provides geographic location information.
    `static class` | `ColAsset.UpAxis` UpAxis describes the coordinate system of the geometric data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColAsset.Contributor[]` | `getContributors()` Gets the contributors of the COLLADA file.
    `java.lang.String` | `getCreatedDate()` Gets the date and time when the COLADA file was created (in an ISO 8601 format).
    `ColAsset.GeographicLocation` | `getGeographicLocation()` Gets the geographic location information of the COLLADA file.
    `java.lang.String` | `getKeywords()` Gets a list of words used as search criteria.
    `java.lang.String` | `getModifiedDate()` Gets date and time when the COLADA file was last modified (in an ISO 8601 format).
    `java.lang.String` | `getRevision()` Gets the revision information of the COLLADA file.
    `java.lang.String` | `getSubject()` Gets a description of the topical subject of the COLLADA file.
    `java.lang.String` | `getTitle()` Gets the title information of the COLLADA file.
    `float` | `getUnitMeter()` Gets the real-world meters of one distance unit as a floating-point number.
    `java.lang.String` | `getUnitName()` Gets the name of the distance unit used in the COLLADA file.
    `ColAsset.UpAxis` | `getUpAxis()` Gets the coordinate system of the geometric data.
    `java.lang.String` | `getVersion()` Gets the version number of the COLLADA file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version number of the COLLADA file.
      Returns:
        version number

    - #### getContributors

          public ColAsset.Contributor[] getContributors()

      Gets the contributors of the COLLADA file.
      Returns:
        contributors or `null`

    - #### getCreatedDate

          public java.lang.String getCreatedDate()

      Gets the date and time when the COLADA file was created (in an ISO 8601 format).
      Returns:
        date and time of creation

    - #### getGeographicLocation

          public ColAsset.GeographicLocation getGeographicLocation()

      Gets the geographic location information of the COLLADA file.

      Since COLLADA version 1.5.0.

      Returns:
        geographic location information or `null`

    - #### getKeywords

          public java.lang.String getKeywords()

      Gets a list of words used as search criteria.
      Returns:
        search criteria or `null`

    - #### getModifiedDate

          public java.lang.String getModifiedDate()

      Gets date and time when the COLADA file was last modified (in an ISO 8601 format).
      Returns:
        date and time of last modification

    - #### getRevision

          public java.lang.String getRevision()

      Gets the revision information of the COLLADA file.
      Returns:
        revision information or `null`

    - #### getSubject

          public java.lang.String getSubject()

      Gets a description of the topical subject of the COLLADA file.
      Returns:
        topical subject or `null`

    - #### getTitle

          public java.lang.String getTitle()

      Gets the title information of the COLLADA file.
      Returns:
        title information or `null`

    - #### getUnitName

          public java.lang.String getUnitName()

      Gets the name of the distance unit used in the COLLADA file. For example, “meter”, “centimeter”, “inches”, or “parsec”.

      Default: meter

      Returns:
        distance unit name or `null`

    - #### getUnitMeter

          public float getUnitMeter()

      Gets the real-world meters of one distance unit as a floating-point number. For example, 1.0 for the unit name "meter", 1000 for "kilometer", or 0.3048 for "foot".

      Default: 1.0

      Returns:
        real-world meters of one distance unit or `null`

    - #### getUpAxis

          public ColAsset.UpAxis getUpAxis()

      Gets the coordinate system of the geometric data.

      Default: `Y_UP`

      Returns:
        coordinate system or `null`

Copyright (C) 2013-2014 InteractiveMesh e.K.